id: CVE-2024-33575

info:
  name: User Meta WP Plugin < 3.1 - Sensitive Information Exposure
  author: s4e-io
  severity: medium
  description: |
    The User Meta is vulnerable to Sensitive Information Exposure in all versions up to, and including, 3.0 via the /views/debug.php file. This makes it possible for unauthenticated attackers, with to extract sensitive configuration data.
  remediation: Fixed in 3.1
  reference:
    - https://nvd.nist.gov/vuln/detail/CVE-2024-33575
    - https://wpscan.com/vulnerability/3b75549c-3fc5-4e6f-84ae-264d8276bfb3/
    - https://patchstack.com/database/vulnerability/user-meta/wordpress-user-meta-plugin-3-0-sensitive-data-exposure-vulnerability?_s_id=cve
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
    cvss-score: 5.3
    cve-id: CVE-2024-33575
    cwe-id: CWE-200
    epss-score: 0.00053
    epss-percentile: 0.21091
  metadata:
    max-request: 1
    vendor: "User Meta"
    product: "User Meta"
    framework: wordpress
    shodan-query: "http.html:/wp-content/plugins/user-meta/"
    fofa-query: "body=/wp-content/plugins/user-meta/"
    publicwww-query: "/wp-content/plugins/user-meta/"
  tags: wpscan,cve,cve2024,user-meta,wordpress,wp-plugin,info-leak,User Meta

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/user-meta/views/debug.php"

    matchers:
      - type: dsl
        dsl:
          - "status_code == 200"
          - 'contains(body, "um-debug<br/>")'
        condition: and
# digest: 4a0a00473045022100a156a1c975f4beeefe56bca7ecb4fc955abdef60aa0401bd29163b838add859102203f1340de8b68761794e5f8dcc61c992b96b5b79eaeb24c8072520abbe9e456a7:922c64590222798bb761d5b6d8e72950